commit a36099f10fad14bc93ea4d6308c02f4882fce7f0
Author: freddy77 <freddy77>
Date:   Sat Jun 26 09:14:49 2010 +0000

    fix a leak if cursor returns multiple resultsets

diff --git a/ChangeLog b/ChangeLog
index c7ceadc..6a53999 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jun 26 11:14:37 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/token.c: fix a leak if cursor returns multiple resultsets
+
 Sat Jun 26 10:03:51 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/cursor2.c: remove warning
 
@@ -2500,4 +2503,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3037 2010/06/26 08:03:57 freddy77 Exp $
+$Id: ChangeLog,v 1.3038 2010/06/26 09:14:49 freddy77 Exp $
diff --git a/src/tds/token.c b/src/tds/token.c
index 11a86fd..fcfb8b2 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.385 2010/06/19 09:51:36 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.386 2010/06/26 09:14:50 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -1588,6 +1588,7 @@ tds7_process_result(TDSSOCKET * tds)
 		return TDS_FAIL;
 	tds->current_results = info;
 	if (tds->cur_cursor) {
+		tds_free_results(tds->cur_cursor->res_info);
 		tds->cur_cursor->res_info = info;
 		tdsdump_log(TDS_DBG_INFO1, "set current_results to cursor->res_info\n");
 	} else {

